import sform

from intranet.femida.src.api.core.fetchers import query_params_data_getter
from intranet.femida.src.api.core.forms import VacancyMultipleSuggestField
from intranet.femida.src.interviews.choices import APPLICATION_DASHBOARD_STAGES


class ApplicationDashboardListFilterForm(sform.SForm):

    default_getter = query_params_data_getter

    vacancies = VacancyMultipleSuggestField(state=sform.REQUIRED)
    stage = sform.ChoiceField(choices=APPLICATION_DASHBOARD_STAGES, state=sform.REQUIRED)
